Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.icore.domain
Class ConstraintRange

    java.lang.Object
      ix.icore.domain.ConstraintRange

All Implemented Interfaces:
  NodeEndRange, java.lang.Cloneable

Direct Known Subclasses:
  AcrossNode, AtNodeEnd

    public class ConstraintRange

extends java.lang.Object
implements NodeEndRange, java.lang.Cloneable

Represents the range covered by a constraint, 'from' one node-end 'to' another. The 'from' end can be null, and the subclass `AtNodeEnd` is often used in that case.

Field Summary
`protected NodeEndRef` | `from`
`protected NodeEndRef` | `to`

Constructor Summary
`ConstraintRange()`
`ConstraintRange(NodeEndRef from, NodeEndRef to)`

Method Summary
`ConstraintRange` | `clone()`
`boolean` | `equals(java.lang.Object obj)`
`NodeEndRef` | `getFrom()`
`NodeEndRef` | `getTo()`
`int` | `hashCode()`
`void` | `setFrom(NodeEndRef from)`
`void` | `setTo(NodeEndRef to)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### from

    protected NodeEndRef from

### to

    protected NodeEndRef to

Constructor Detail

### ConstraintRange

    public ConstraintRange()

### ConstraintRange

    public ConstraintRange(NodeEndRef from,
                           NodeEndRef to)

Method Detail

### getFrom

    public NodeEndRef getFrom()

  Specified by:
    `getFrom` in interface `NodeEndRange`

### setFrom

    public void setFrom(NodeEndRef from)

  Specified by:
    `setFrom` in interface `NodeEndRange`

### getTo

    public NodeEndRef getTo()

  Specified by:
    `getTo` in interface `NodeEndRange`

### setTo

    public void setTo(NodeEndRef to)

  Specified by:
    `setTo` in interface `NodeEndRange`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### clone

    public ConstraintRange clone()
                          throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD